edu.isi.pegasus.planner.classes

## Enum PlannerOptions.CLEANUP_OPTIONS

- java.lang.Object
- - java.lang.Enum<PlannerOptions.CLEANUP_OPTIONS>
  - - edu.isi.pegasus.planner.classes.PlannerOptions.CLEANUP_OPTIONS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PlannerOptions.CLEANUP_OPTIONS>

Enclosing class:
  PlannerOptions

    public static enum PlannerOptions.CLEANUP_OPTIONS
    extends java.lang.Enum<PlannerOptions.CLEANUP_OPTIONS>

The various cleanup options supported by the planner

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`inplace`
`leaf`
`none`

### Method Summary

All Methods Static Methods Concrete Methods
`static PlannerOptions.CLEANUP_OPTIONS` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PlannerOptions.CLEANUP_OPTIONS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### none

    public static final PlannerOptions.CLEANUP_OPTIONS none

#### inplace

    public static final PlannerOptions.CLEANUP_OPTIONS inplace

#### leaf

    public static final PlannerOptions.CLEANUP_OPTIONS leaf

### Method Detail

#### values

    public static PlannerOptions.CLEANUP_OPTIONS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlannerOptions.CLEANUP_OPTIONS c : PlannerOptions.CLEANUP_OPTIONS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlannerOptions.CLEANUP_OPTIONS valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null